// START SNIPPET: client-code
import org.springframework.context.support.*;
import uk.ac.ncl.cs.instantsoap.wsapi.*;
import static uk.ac.ncl.cs.instantsoap.wsapi.Wsapi.*;

import java.util.*;

public class Client
{
  public static void main(String[] args)
          throws Throwable
  {
    ClassPathXmlApplicationContext context
            = new ClassPathXmlApplicationContext(new String[] {"client-beans.xml"});

    WebServiceDispatcher dispatcher = (WebServiceDispatcher) context.getBean("client");

    JobSpecification js = jobSpecification(
            "stringEcho",
            pair("messageIn", "Hi Mum!"));

    Map<String, String> results = invoke(dispatcher, js);
    System.out.println("The message was: " + results.get("messageOut"));
  }
}
// END SNIPPET: client-code
